Errori libreria per MPU6050

Ciao a tutti,

Sto utilizzando un accelerometro+giroscopio a 3 assi, l’ MPU6050
per utilizzarlo ho trovato un libreria reperita all’indirizzo:

ma riscontro messaggi di errore nell’IDE, come potete vedere dall’immagine allegata.

N.B.: Sto utilizzando la versione 1.0.5 dell’IDE di Arduino.

Potete aiutarmi?

Vi ringrazio per la vostra cortese attenzione!

Prova a guardare QUI ed ad utilizzare gli esempi e le librerie che indicano loro ... :roll_eyes:

Guglielmo

Guglielmo, grazie per il supporto.

La libreria consigliata da Sparkfun è la stessa che ho utilizzato e che mi da problemi.

Dato che gli esempi di Sparkfun sono normalmente tutti collaudati … hai provato con un esempio a corredo della libreria ?

Se ti da errore ho idea che hai qualche cosa di rovinato/male installato tu … :roll_eyes:

Guglielmo

Si lo credo pure io.

Ho letto in giro che il problema è dovuto alla mia versione dell' IDE di Arduino. Io uso la 1.0.5 ma ho notato che anche con la 1.0.1 e con la 1.5 ho gli stessi problemi.

Mi serve sfruttare al massimo tutte le potenzialità dell' Mpu6050 e una buona libreria mi semplificherebbe di gran lunga il lavoro visto che non sono un informatico

Anche io uso la 1.0.5 ... e su Mac ... e gli esempi di quella libreria NON danno problemi, quindi ... ... ripeto lo domanda, gli esempi a corredo della lib di SparkFun (scaricala aggiornata) si compilano o ti danno errore ???

Guglielmo

Installando nuovamente l'IDE ho risolto il problema.

Grazie tante :)